Bug 547966 - ibus: suggest the default engine
ibus: suggest the default engine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 01:14 EST by fujiwara
Modified: 2010-02-18 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-18 10:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ibusimpl.c, ibus.schemas.in, enginecombobox.py, main.py (5.80 KB, patch)
2009-12-16 01:14 EST, fujiwara
no flags Details | Diff
Patch for ibusimpl.c enginecombobox.py (3.99 KB, patch)
2010-01-22 04:54 EST, fujiwara
no flags Details | Diff

  None (edit)
Description fujiwara 2009-12-16 01:14:35 EST
Created attachment 378694 [details]
Patch for ibusimpl.c, ibus.schemas.in, enginecombobox.py, main.py

Currently if both ibus-anthy and m17n-db anthy could be shown.
It would be good not to show the duplicated engines.
Comment 1 Peng Huang 2009-12-17 01:51:18 EST
I think we do not release anthy keymap in m17n-db-japanese.noarch for fedora. So this patch is not very useful for fedora. For upstream, I also think this patch is not appropriate. Maybe using a backlist to hide some IMEs is better.
Comment 3 Jens Petersen 2009-12-23 00:34:19 EST
I would prefer to see default IMEs for languages,
but IMEs should not hidden behind the user's back.

eg default IME list for ja might be just ibus-anthy.
Comment 4 fujiwara 2010-01-22 04:54:08 EST
Created attachment 386111 [details]
Patch for ibusimpl.c enginecombobox.py

I'd like to suggest if the engine rank is greater than 98, the rank means not to load other rank engines by default.
It implies 99 is the default engine, 98 are other recommended engines.
It means, if you'd like to load all engines in the language, the rank of all engines would be lower than 97.

I tried to set the bold strings in ibus-setup combobox engines to indicate the recommended engines.
But unfortunately it seems it's not enough for me to indicate the recommendation when I see the left click engine menu, whose engines are preloaded engines and the bold color specifies the current engine but not the recommendation.

(In reply to comment #3)
> I would prefer to see default IMEs for languages,
> but IMEs should not hidden behind the user's back.
> 
> eg default IME list for ja might be just ibus-anthy.    

So I'd like this idea and my suggestion is, 98 is the recommended line.

The patch can be integrated with 'git am foo'
Comment 5 Peng Huang 2010-01-25 03:39:12 EST
Fixed in upstream. I will build it soon.
Comment 6 Peng Huang 2010-02-18 10:26:48 EST
Built it for rawhide. http://koji.fedoraproject.org/koji/buildinfo?buildID=154049

Note You need to log in before you can comment on or make changes to this bug.